> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonderplan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Rate Scheme

> 
<Note>`WRITE` access to the `ADMIN` module is required to access this endpoint</Note>



## OpenAPI

````yaml /api-reference/openapi-mintlify.yaml put /v2/rate-scheme
openapi: 3.0.0
info:
  title: Sonderplan API
  description: >
    ## Overview

    You can use our REST API to securely access and modify the data within your
    Sonderplan account. This includes all the information within your bookings,
    projects and invoices that you can use to import / export data or create
    integrations with other systems and software that you use


    ### General Notes


    #### Specifying Fields

    The Sonderplan REST API allows you to specify a comma delimited string of
    exactly which fields are returned, using the `fields` parameter. Using this
    parameter has several advantages including:


    1. In future API versions we may change which fields are presented by
    default, so explicitly specifying the fields required overrides the defaults
    and ensure the fields are served

    2. Limiting fields reduces the processing we need to do and allows us to
    send you the data faster

    3. Some search filters only work if the field you are searching is added to
    the `fields` parameter.


    Example:


    ```

    fields=id,name,start,duration_min

    ```


    ### Applying Filters


    The Query Parameters section in each endpoint shows you special options that
    can be added to your request to customise the response we send you.


    Most endpoints offer the following query params:


    | Query Parameter |
    Description                                                    |

    |-----------------|----------------------------------------------------------------|

    | `fields`        | Only send the specified
    fields                                 |

    | `id`            | Specify one or more ids (comma seperated) of records to
    return |

    | `limit`         | The maximum number of records to
    return                        |

    | `page`          | The page number of records to
    return                           |

    | `order_asc` | Specify which field should be used to sort records
    `ascending` |

    | `order_desc` | Specify which field should be used to sort records
    `descending` |


    In addition to the standard `id` param, you can also specify most other
    fields as a query parameter, useful for performing searching and filtering
    of records.


    For example, you can specify `repeat_master_id=<repeat_booking_id>` to
    return all repeat children of that booking.


    #### Other Query Params


    Refer to the specific API endpoint documentation to see which other query
    params can be used.


    For example, some endpoints allow specifying `updated_after=<UNIX
    TIMESTAMP>` which will only send added, edited and even deleted records that
    were modified after the unix timestamp.


    #### Applying multiple filters


    By default, multiple filters are chained together using **OR** (either
    filter can be true and it will be included). You can change this behaviour
    by specifying `filter_operator=AND`, so each filter must be true to be
    included.


    #### Filtering by Custom Field Values


    For modules that include custom fields, you can search by the value of a
    custom field by adding the `custom_field_<field id>` to the URL query
    parameters. You **must** also specify the custom field in the `fields`
    parameter.


    ```

    GET
    https://api.sonderplan.com/v2/booking?fields=id,name,custom_field_238938&custom_field_238938=Offline

    ```


    This will return custom fields that contain the word 'Offline'.
  contact:
    email: info@sonderplan.com
  version: '2.0'
servers:
  - url: https://api.sonderplan.com
    description: Production Server
security: []
tags:
  - name: Booking
    description: Booking related operations
  - name: Project
    description: Project related operations
  - name: Resource
    description: Resource related operations
  - name: Contact
    description: Contact related operations
  - name: Quote
    description: Quote related operations
  - name: Invoice
    description: Invoice related operations
  - name: Invoice Template
    description: Invoice template related operations
  - name: Billable Item
    description: Billable item related operations
  - name: Rate Scheme
    description: Rate scheme related operations
  - name: Tax
    description: Tax related operations
  - name: Workspace
    description: Workspace (formerly Schedule) related operations
  - name: User
    description: User related operations
  - name: Group
    description: Group related operations
  - name: Status
    description: Status related operations
  - name: Custom Field
    description: Custom field related operations
  - name: Calendar Subscription
    description: Calendar Subscription Import related operations
  - name: Time Entry
    description: Time Entry related operations
  - name: Time Activity
    description: Time Activity related operations
paths:
  /v2/rate-scheme:
    put:
      tags:
        - Rate Scheme
      summary: Update Rate Scheme
      description: >-

        <Note>`WRITE` access to the `ADMIN` module is required to access this
        endpoint</Note>
      operationId: 56d7235562b4096d13585f1be7203e61
      parameters:
        - name: id
          in: query
          description: The id of the rate scheme to update
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        description: Project object that needs to be added
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RateScheme'
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/success'
        '401':
          description: Authorization information is missing or invalid
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFound'
      security:
        - bearer: []
components:
  schemas:
    RateScheme:
      title: Rate Scheme Model
      description: Standard rate scheme model that returns all properties by default
      type: object
      allOf:
        - properties:
            id:
              description: Automatically generated, unique rate scheme id
              type: integer
              readOnly: true
              example: 13409
            name:
              description: Name of the rate scheme
              type: string
              example: Sydney Grading Suites Standard Rates
            type_id:
              description: >-
                `1` = Service Rate, `2` = Seasonal Adjustment (Deprecated), `3`
                = Hourly Adjustment (Deprecated), `4` = Client Rate, `5` =
                Advanced Adjustment (Deprecated), `6` = Project Rate, `7` =
                Overtime Adjustment (Deprecated), `8` = Custom Field Option
                Adjustment (Deprecated), `9` = Resource Base, `10` = Resource
                Weekend, `11` = Resource Public Holiday
              type: integer
              example: 1
            description:
              description: General information about the rate scheme
              type: string
              example: Standard rates for grading suites located in Sydney
            booking_description_template:
              description: >-
                Template used for quote/invoice line item descriptions when
                prefilled from a booking
              type: string
              example: |-
                [rateSchemeName] - [rateSchemeDescription]
                    [bookingName] - [rateSchemeStartDateCode]|(D jS M Y g:iA) --> [rateSchemeEndDateCode]|(D jS M Y g:iA)
            resources:
              description: Resources that this rate scheme is scoped to
              type: array
              items:
                $ref: '#/components/schemas/ResourceSummary'
            clients:
              description: Clients that this rate scheme is scoped to
              type: array
              items:
                $ref: '#/components/schemas/ClientSummary'
            projects:
              description: Projects that this rate scheme is scoped to
              type: array
              items:
                $ref: '#/components/schemas/ProjectSummary'
            hour_rate:
              description: Amount chargable hourly
              type: integer
              format: float
              example: '124.20'
            hour_buy_rate:
              description: Amount payable hourly
              type: integer
              format: float
              example: '90.00'
            hour_rate_percent:
              description: Hourly rate is percentage based
              type: boolean
              deprecated: true
            day_rate:
              description: Amount chargable daily
              type: integer
              format: float
              example: '1200.00'
            day_buy_rate:
              description: Amount payable daily
              type: integer
              format: float
              example: '800.00'
            day_rate_percent:
              description: Daily rate is percentage based
              type: boolean
              deprecated: true
            week_rate:
              description: Amount chargable weekly
              type: integer
              format: float
              example: '5000.00'
            week_buy_rate:
              description: Amount payable weekly
              type: integer
              format: float
              example: '2100.00'
            fixed_date:
              description: True if the rate scheme does not recur every year
              type: boolean
              deprecated: true
            date_start:
              description: >-
                Date this rate scheme will begin applying, in `YYYY-MM-DD`
                format
              type: string
            date_end:
              description: >-
                Date this rate scheme will cease applying, in `YYYY-MM-DD`
                format
              type: string
            time_start:
              description: Time this rate scheme will begin applying, in `00:00:00` format
              type: string
              deprecated: true
            time_end:
              description: Time this rate scheme will cease applying, in `00:00:00` format
              type: string
              deprecated: true
            overtime_hours:
              description: Number of hours of booking before overtime rate is applicable
              type: integer
              format: float
            override_base:
              description: If true, other base rates will be replaced with this one
              type: boolean
              deprecated: true
            default_unit:
              description: '`0` = Hourly, `1` = Daily'
              type: integer
              deprecated: true
            default_tax:
              description: '`0` = Dont Apply Tax, `1` = Apply Tax'
              type: integer
              deprecated: true
            taxes:
              type: array
              items:
                $ref: '#/components/schemas/InvoiceItemTaxes'
            currency:
              description: Currency code (three character format)
              type: string
              example: AUD
          type: object
        - $ref: '#/components/schemas/commonModelMeta'
    success:
      title: Success Response
      properties:
        success:
          properties:
            id:
              type: integer
              example: 1
          type: object
      type: object
    notFound:
      title: Not Found Response
      description: Class OpenApi
      properties:
        error:
          properties:
            code:
              description: The HTTP error code
              type: integer
              example: '404'
            message:
              description: More detail on the error encountered
              type: string
              example: Requested resource was not found
          type: object
      type: object
    ResourceSummary:
      title: Resource Summary Model
      description: Resource model summarised
      properties:
        id:
          description: Automatically generated unique resource id
          type: integer
          readOnly: true
          example: 9458
        name:
          description: Name of the resource
          type: string
          example: Edit Suite 1
        description:
          description: Additional info about the resource
          type: string
          example: Sydney Office, Level 2
        type_id:
          description: 1 = Room, 2 = Person, 3 = Equipment, 4 = Resource Group, 5 = Action
          type: integer
          enum:
            - 1
            - 2
            - 3
            - 4
            - 5
          example: 1
        type_person_id:
          description: Unique id of the person (only applies if this resource is a person)
          type: integer
          example: 0
        parent_id:
          description: Unique id of the resource group that this resource is a child of
          type: integer
          example: 2908
        parent_name:
          description: Name of the parent
          type: string
          example: Cameras
        updated:
          description: The UNIX time value of the last update
          type: integer
          readOnly: true
          example: 1388552400
        icon:
          type: array
          items:
            $ref: '#/components/schemas/FileSummary'
      type: object
    ClientSummary:
      title: Client Summary Model
      description: Simplified client model containing only a subset of fields
      properties:
        id:
          description: Automatically generated Project ID
          type: integer
          example: 2342354
        name:
          description: Full name of the contact
          type: string
          example: Sam Smith
        type:
          description: Type of the contact
          type: string
          enum:
            - person
            - organization
          example: person
      type: object
    ProjectSummary:
      title: Project Summary Model
      description: Simplified project model containing only a subset of fields
      properties:
        id:
          description: Automatically generated Project ID
          type: integer
          example: 2342354
        name:
          description: Title of the project
          type: string
          readOnly: true
          example: Andor S1 EP7 Annoucement
        code:
          description: Short code used to identify the project
          type: string
          readOnly: true
          example: AND-S1-EP7
        description:
          description: A short description or synopsis of the project
          type: string
          readOnly: true
          example: >-
            Colonel Yularen announces that the ISB has gained more surveillance
            and punitive authority, while Meero is challenged by Blevin for
            breaking protocol by accessing Imperial data without authorization.
        start:
          description: Unix Timestamp of the project start time frame.
          type: integer
          example: 1547501100
        end:
          description: Unix timestamp of the project end time frame.
          type: integer
          example: 1547538900
        parent_id:
          description: Project Parent ID
          type: integer
          readOnly: true
          example: 9348
        status_id:
          description: Project Status ID
          type: integer
          readOnly: true
          example: 1
      type: object
    InvoiceItemTaxes:
      title: Invoice Item Taxes
      description: Standard invoice item taxes model that returns tax information
      properties:
        id:
          description: Unique id of the tax applied
          type: integer
          example: 3247
        name:
          description: Name of the tax
          type: string
          example: GST
        rate:
          description: Rate of the tax
          type: string
          example: '10.00'
        total:
          description: Total amount of tax
          type: string
          format: float
          example: '151.00'
      type: object
    commonModelMeta:
      title: Common Meta Model
      properties:
        created_id:
          description: The unique ID of the person (user) who created this record
          type: integer
          readOnly: true
          example: 3
        created:
          description: The UNIX time value of the creation time
          type: integer
          readOnly: true
          example: 1388552400
        updated_id:
          description: The unique ID of the person (user) who last updated this record
          type: integer
          readOnly: true
          example: 3
        updated:
          description: The UNIX time value of the last update
          type: integer
          readOnly: true
          example: 1388552400
      type: object
    FileSummary:
      title: File Summary Model
      description: Simplified file model containing only a subset of fields
      properties:
        id:
          description: Automatically generated File ID
          type: integer
          readOnly: true
          example: 2342354
        name:
          description: Original file name
          type: string
          example: Avid_Icon
        size:
          description: File size (in bytes)
          type: integer
          example: 174285
        alias:
          description: Automatically generated file alias
          type: string
          example: 7e73ab25155974c230d09494548201b9f5056ef
        extension:
          description: File extension
          type: string
          example: png
        mime_type:
          description: File mime type
          type: string
          example: image/png
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````